Keystone WSGI script missing 'application'

Bug #1194494 reported by Lance Bragstad on 2013-06-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Identity (keystone)
Medium
Lance Bragstad

Bug Description

When running Keystone on Apache HTTPD and according to the docs, using /opt/stack/keystone/httpd/keystone.py

https://github.com/openstack/keystone/blob/master/httpd/keystone.py

and symlinking 'admin' and 'main' to the previous mentioned keystone.py script I have observed the following error:

[Tue Jun 25 12:32:59 2013] [info] Using nickname Server-Cert.
[Tue Jun 25 12:33:00 2013] [error] [client ::1] mod_wsgi (pid=30165): Target WSGI script '/opt/stack/keystone/httpd/admin' does not contain WSGI application 'application'.
[Tue Jun 25 12:34:22 2013] [notice] caught SIGTERM, shutting down

when trying to launch the WSGI application.

Fix proposed to branch: master
Review: https://review.openstack.org/34390

Changed in keystone:
assignee: nobody → Lance Bragstad (ldbragst)
status: New → In Progress
Dolph Mathews (dolph) on 2013-06-26
Changed in keystone:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/34390
Committed: http://github.com/openstack/keystone/commit/59ea70655dff4ab71f183b695f171287e9af85e7
Submitter: Jenkins
Branch: master

commit 59ea70655dff4ab71f183b695f171287e9af85e7
Author: Lance Bragstad <email address hidden>
Date: Tue Jun 25 13:12:59 2013 +0000

    Add 'application' to keystone.py for WSGI

    This adds WSGI application to keystone/httpd/keystone.py, fixing
    bug 1194494.

    Change-Id: I921fe1332dc9dd25e917f02f583b5b597cf35c26

Changed in keystone:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-07-17
Changed in keystone:
milestone: none → havana-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in keystone:
milestone: havana-2 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers